<!-- Parallax Effect -->
<script type="text/javascript">$(document).ready(function(){$('#parallax-pagetitle').parallax("50%", -0.55);});</script>
<section class="parallax-effect">
    <div id="parallax-pagetitle" style="background-image: url(/assets/parallax/parallax-01.jpg);">
        <div class="color-overlay"> 
            <!-- Page title -->
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <ol class="breadcrumb">
                            <li><a href="/">Home</a></li>
                            <li class="active">My Bookings</li>
                        </ol>
                        <h1>My Bookings</h1>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Rooms -->
<section class="rooms mt100">
    <div class="container">
        <div class="row room-list fadeIn appear"> 
            <% if !@bookings.blank? %>
                <% @bookings.each do |booking| %>
                <!-- Room -->
                <!-- Check to destroy booking when time out to pay -->
                    <div class="col-sm-4 category_<%= booking.hotel_room.hotel_category.id%>" >
                        <div class="top-of-image">
                            <p><span>From <%= booking.check_in.strftime("%d-%m-%Y") %> to <%= booking.check_out.strftime("%d-%m-%Y") %></span></p>
                            <% ngay =  booking.created_at.to_i%>
                            <% time_booking = ngay + (2*60*60*1000)%>
                            <% now = Time.now.to_i%>
                            <%  if !booking.purchased_at.blank? %>
                                <%= link_to "Receipt Detail", booking_path(booking.id), class: "btn btn-info btn-block"%>
                            <%else%>
                                <button class="btn btn-info btn-block countDown" id="clock<%=booking.id%>" style="background-color: Black; color: #FF9900" onclick="createCountDown(<%=booking.id%>, <%=ngay%>)">
                                    Check Room Status
                                </button>
                            <%end%>
            
                            <%= link_to "Pay booking", edit_booking_path(booking.id), class: "btn btn-warning btn-block hidden", id: "pay_btn#{booking.id}"%>
                            <%= link_to "Cancel booking", booking_path(booking.id), id: "destroy_btn#{booking.id}", method: :delete, data: { confirm: 'Are you sure you want to cancel this booking?' }, class: "btn btn-danger btn-block hidden" %>
                      
                            
                            <%= link_to "Remove From List", remove_path(booking.id), id: "remove_btn#{booking.id}", class: "btn btn-danger btn-block hidden" %>

                            <%= javascript_tag do %>
                                function createCountDown(id, ngay) {
                                    // Set the date we're counting down to
                                    var countDownDate = ngay*1000 + (2*60*60*1000);     
                                    // Update the count down every 1 second
                                    setInterval(function() {

                                        // Get todays date and time
                                       
                                        var now = new Date().getTime();
                                        // Find the distance between now and the count down date
                                        var distance = countDownDate - now;

                                        // Time calculations for days, hours, minutes and seconds
                                        var days = Math.floor(distance / (1000 * 60 * 60 *   24));
                                        var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
                                        var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
                                        var seconds = Math.floor((distance % (1000 * 60)) / 1000);

                                        // Output the result in an element with id="demo"
                                        document.getElementById('clock'+id).innerHTML = hours + "h "
                                        + minutes + "m " + seconds + "s ";

                                        if (distance > 0) {
                                            document.getElementById('pay_btn'+id).classList.remove("hidden");
                                            document.getElementById('destroy_btn'+id).classList.remove("hidden");
                                        }
                                        else{
                                            document.getElementById('clock'+id).innerHTML = "Time out to pay"  ;
                                            document.getElementById('remove_btn'+id).classList.remove("hidden");
                                        }
                                    }, 1000); 
                                };
                            <% end %>
                           
                        </div>
                        <div class="room-thumb"> 
                            <%= image_tag booking.hotel_room.hotel_category.image, class: "img-responsive" %>
                            <div class="mask">
                                <div class="main">
                                    <h5><%= booking.hotel_room.hotel_category.name %>, <i>Room: <%= booking.hotel_room.name %></i></h5>
                                    <div class="price">&#x20B9; <%= booking.hotel_room.hotel_category.price %>
                                        <span>a night</span>
                                    </div>
                                </div>
                                <div class="content">
                                    <p><%= booking.hotel_room.hotel_category.title.html_safe%></p>
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <ul class="list-unstyled">
                                                <li><i class="fa fa-check-circle"></i> Incl. breakfast</li>
                                                <li><i class="fa fa-check-circle"></i> Private balcony</li>
                                                <li><i class="fa fa-check-circle"></i> Sea view</li>
                                            </ul>
                                        </div>
                                        <div class="col-xs-6">
                                            <ul class="list-unstyled">
                                                <li><i class="fa fa-check-circle"></i> Free Wi-Fi</li>
                                                <li><i class="fa fa-check-circle"></i> Incl. breakfast</li>
                                                <li><i class="fa fa-check-circle"></i> Bathroom</li>
                                            </ul>
                                        </div>
                                    </div>
                                    <br/>
                                    <b><i>Booked by you</i></b> 
                                </div>
                            </div>
                        </div>
                    </div>
                <% end %>
            <% else %>
                <h2>No Bookings by you.</h2>
            <% end %>
        </div>  
    </div>
</section>

 
